/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.validaciones;

import com.cosmodas.FacadeCosmos.RegaloFacadeLocal;
import com.cosmodas.FacadeCosmos.SucursalesFacadeLocal;
import com.cosmodas.EntCosmos.Consultores;
import com.cosmodas.EntCosmos.Regalo;
import java.io.Serializable;
import javax.ejb.EJB;

/**
 *
 * @author obper
 */
public class ValidaConsultor implements Serializable{
   @EJB 
    SucursalesFacadeLocal dao;
   @EJB
    RegaloFacadeLocal daoRegalo;
   
   public boolean validaCredito(String consultorCodigo){
       boolean respuesta = false;
       Consultores consultor = new Consultores();
       consultor = dao.findConsultor(consultorCodigo);
       
       if (consultor.getConsultorEstadoCredito() == false) {
           respuesta = false;
       }else{
           respuesta = true;
       }
       return respuesta; 
   }
   
   public String ObteneREgalo(int sala){
  Regalo reg = daoRegalo.find(sala);

   return reg.getSucursal();
   }

}
